Delete EcoMailbox row
curl --request DELETE \
--url https://api.consumer.younegotiate.com/e-letters/{consumerELetter} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.consumer.younegotiate.com/e-letters/{consumerELetter}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.consumer.younegotiate.com/e-letters/{consumerELetter}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"deleted_count": 2
},
"meta": {
"state": {
"eco_mailbox": {
"unread_count": 12,
"display_count": "12",
"has_unread": true
}
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"code": "profile_incomplete",
"message": "Please complete your communication profile before viewing accounts.",
"required_steps": [
"profile_communication"
]
}Delete EcoMailbox row
Delete one owned EcoMailbox row. If the row is unread, the sidebar unread count is reduced. If the parent e-letter has no remaining recipients, the parent e-letter is removed as well.
DELETE
/
e-letters
/
{consumerELetter}
Delete EcoMailbox row
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
EcoMailbox pivot row ID returned by GET /e-letters.
Last modified on July 19, 2026
Was this page helpful?
⌘I

